<?php
/**
* Homepage About Settings.
*
* @package Sakka
*/

$sakka_default = sakka_get_default_theme_options();

// Homepage About section settings.
$wp_customize->add_section( 'homepage_about_Section',
    array(
    'title'      => esc_html__( 'About Section Settings', 'sakka' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_about_section',
    array(
        'default' => $sakka_default['ed_about_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_about_section',
    array(
        'label' => esc_html__('Enable About Section', 'sakka'),
        'section' => 'homepage_about_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('about_section_title',
    array(
        'default'           => $sakka_default['about_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('about_section_title',
    array(
        'label'       => esc_html__('About Section Title', 'sakka'),
        'section'     => 'homepage_about_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('about_signature_image',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control($wp_customize, 'about_signature_image',
        array(
            'label'       => esc_html__('Upload Signature Image ', 'sakka'),
            'section'     => 'homepage_about_Section',
        )
    )

);
$wp_customize->add_setting( 'select_page_for_about', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sakka_sanitize_dropdown_pages',
) );

$wp_customize->add_control( 'select_page_for_about', array(
    'label'             => __( 'Select About Page', 'sakka' ) ,
    'section'           => 'homepage_about_Section',
    'type'              => 'dropdown-pages',
    'allow_addition' => true,
    )
);