<?php
/**
* Color Settings.
*
* @package Sakka
*/

$sakka_default = sakka_get_default_theme_options();

$wp_customize->add_setting( 'sakka_default_text_color',
    array(
    'default'           => $sakka_default['sakka_default_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'sakka_default_text_color',
    array(
        'label'      => esc_html__( 'Text Color', 'sakka' ),
        'section'    => 'colors',
        'settings'   => 'sakka_default_text_color',
    ) ) 
);

$wp_customize->add_setting( 'sakka_border_color',
    array(
    'default'           => $sakka_default['sakka_border_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'sakka_border_color',
    array(
        'label'      => esc_html__( 'Border Color', 'sakka' ),
        'section'    => 'colors',
        'settings'   => 'sakka_border_color',
    ) ) 
);