<?php
/**
 * Default Values.
 *
 * @package Sakka
 */

if ( ! function_exists( 'sakka_get_default_theme_options' ) ) :

	/**
	 * Get default theme options
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
	function sakka_get_default_theme_options() {

		$sakka_defaults = array();
		
		// Options.
        $sakka_defaults['ed_header_bg_overlay']                       = 0;
        $sakka_defaults['logo_width_range']                       = 300;
		$sakka_defaults['global_sidebar_layout']					= 'right-sidebar';
        $sakka_defaults['sakka_pagination_layout']                = 'numeric';
		$sakka_defaults['footer_column_layout'] 						= 3;
		$sakka_defaults['footer_copyright_text'] 						= esc_html__( 'All rights reserved.', 'sakka' );
        $sakka_defaults['ed_preloader']                                = 1;
        $sakka_defaults['ed_cursor_option']                            = 1;
        $sakka_defaults['ed_cursor_option']                            = 1;
        $sakka_defaults['sakka_header_top_ed'] 				    = 1;
        $sakka_defaults['ed_related_post']                				= 1;
        $sakka_defaults['related_post_title']             				= esc_html__('Similar Articles','sakka');
        $sakka_defaults['sakka_single_post_layout']               = 'layout-1';

        $sakka_defaults['sakka_carousel_section_title']           = esc_html__('You may have missed','sakka');
        $sakka_defaults['twp_navigation_type']              			= 'theme-normal-navigation';
        $sakka_defaults['ed_post_author']                				= 1;
        $sakka_defaults['ed_post_date']                				= 1;
        $sakka_defaults['ed_post_category']                			= 1;
        $sakka_defaults['ed_post_tags']                				= 1;
        $sakka_defaults['ed_floating_next_previous_nav']               = 1;
        $sakka_defaults['ed_header_banner']               				= 0;
        $sakka_defaults['ed_carousel_section']               			= 0;

        $sakka_defaults['ed_category_section']               			= 0;
        $sakka_defaults['sakka_category_section_title']           = esc_html__('Featured Category','sakka');
        // about page
        $sakka_defaults['ed_about_section']              = 0;
        $sakka_defaults['about_section_title']           = esc_html__('Learnig With US','sakka');

        $sakka_defaults['ed_featured_image_section']              = 0;
        $sakka_defaults['homepage_feartured_section_title']           = esc_html__('Featured ON','sakka');
        // featued post
        $sakka_defaults['enable_featured_post']              = 0;
        $sakka_defaults['featured_post_title']           = esc_html__('Popular Now','sakka');
        $sakka_defaults['featured_post_button']           = esc_html__('Visit Blog','sakka');
        $sakka_defaults['featured_post_button_url']           = '';
        $sakka_defaults['sakka_background_color']        = '#fff';
        $sakka_defaults['sakka_default_text_color']      = '#000';
        $sakka_defaults['sakka_border_color']            = '#ededed';

		// Pass through filter.
		$sakka_defaults = apply_filters( 'sakka_filter_default_theme_options', $sakka_defaults );

		return $sakka_defaults;

	}

endif;
