<?php
/**
* Homepage About Settings.
*
* @package Sakka
*/

$sakka_default = sakka_get_default_theme_options();

// Homepage About section settings.
$wp_customize->add_section( 'homepage_feartured_image_Section',
    array(
    'title'      => esc_html__( 'Featured Image Section Settings', 'sakka' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);


$wp_customize->add_setting('ed_featured_image_section',
    array(
        'default' => $sakka_default['ed_featured_image_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_featured_image_section',
    array(
        'label' => esc_html__('Enable Featured Image Section', 'sakka'),
        'section' => 'homepage_feartured_image_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('homepage_feartured_section_title',
    array(
        'default'           => $sakka_default['homepage_feartured_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('homepage_feartured_section_title',
    array(
        'label'       => esc_html__('Featured Image Section Title', 'sakka'),
        'section'     => 'homepage_feartured_image_Section',
        'type'        => 'text',
    )
);

for ($i=1; $i < 6; $i++) { 
    $wp_customize->add_setting('homepage_feartured_image_'.$i,
        array(
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'sakka_sanitize_image',
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control($wp_customize, 'homepage_feartured_image_'.$i,
            array(
                'label'       => esc_html__('Homepage Featured Image - ', 'sakka').$i,
                'section'     => 'homepage_feartured_image_Section',
            )
        )

    );


    $wp_customize->add_setting('homepage_feartured_url_'.$i,
        array(
            'default' => '',
            'capability' => 'edit_theme_options',
            'sanitize_callback' => 'esc_url_raw',
        )
    );
    $wp_customize->add_control('homepage_feartured_url_'.$i,
        array(
            'label' => esc_html__('Homepage Featured URL - ', 'sakka').$i,
            'section' => 'homepage_feartured_image_Section',
            'type' => 'text',
        )
    );

}