<?php
/**
* Homepage About Settings.
*
* @package Sakka
*/

$sakka_default = sakka_get_default_theme_options();
$sakka_post_category_list = sakka_post_category_list();

// Homepage Featured post section settings.
$wp_customize->add_section( 'homepage_featured_post_Section',
    array(
    'title'      => esc_html__( 'Featured Post Section Settings', 'sakka' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);
// Setting - enable_featured_post.
$wp_customize->add_setting('enable_featured_post',
    array(
        'default'           => $sakka_default['enable_featured_post'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_featured_post',
    array(
        'label'    => esc_html__('Enable Featured Post', 'sakka'),
        'section'  => 'homepage_featured_post_Section',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting('featured_post_title',
    array(
        'default'           => $sakka_default['featured_post_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('featured_post_title',
    array(
        'label'       => esc_html__('Related Post Section Title', 'sakka'),
        'section'     => 'homepage_featured_post_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('featured_post_sub_title',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('featured_post_sub_title',
    array(
        'label'       => esc_html__('Related Post Sub Title', 'sakka'),
        'section'     => 'homepage_featured_post_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting( 'select_category_for_related_post',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sakka_sanitize_select',
    )
);
$wp_customize->add_control( 'select_category_for_related_post',
    array(
    'label'       => esc_html__( ' Section Post Category', 'sakka' ),
    'section'     => 'homepage_featured_post_Section',
    'type'        => 'select',
    'choices'     => $sakka_post_category_list,
    )
);

/*Button Text*/
$wp_customize->add_setting('featured_post_button',
    array(
        'default'           => $sakka_default['featured_post_button'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('featured_post_button',
    array(
        'label'       => esc_html__('Related Post Button Text', 'sakka'),
        'description' => esc_html__('Removing text will disable read more on the related post', 'sakka'),
        'section'     => 'homepage_featured_post_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('featured_post_button_url',
    array(
        'default'           => $sakka_default['featured_post_button_url'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('featured_post_button_url',
    array(
        'label'       => esc_html__('Related Post Button URL', 'sakka'),
        'section'     => 'homepage_featured_post_Section',
        'type'        => 'text',
    )
);



$wp_customize->add_section( 'you_may_missed_setting',
    array(
    'title'      => esc_html__( 'You may have missed section Settings', 'sakka' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_carousel_section',
    array(
        'default' => $sakka_default['ed_carousel_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_carousel_section',
    array(
        'label' => esc_html__('Enable Section', 'sakka'),
        'section' => 'you_may_missed_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'sakka_carousel_section_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sakka_sanitize_select',
    )
);
$wp_customize->add_control( 'sakka_carousel_section_cat',
    array(
    'label'       => esc_html__( ' Section Post Category', 'sakka' ),
    'section'     => 'you_may_missed_setting',
    'type'        => 'select',
    'choices'     => $sakka_post_category_list,
    )
);

$wp_customize->add_setting('sakka_carousel_section_title',
    array(
        'default' => $sakka_default['sakka_carousel_section_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('sakka_carousel_section_title',
    array(
        'label' => esc_html__('Section Title', 'sakka'),
        'section' => 'you_may_missed_setting',
        'type' => 'text',
    )
);

