<?php
/**
* Header Banner Options.
*
* @package Sakka
*/

$sakka_default = sakka_get_default_theme_options();
$sakka_post_category_list = sakka_post_category_list();

$wp_customize->add_setting('ed_header_bg_overlay',
    array(
        'default' => $sakka_default['ed_header_bg_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_overlay',
    array(
        'label' => esc_html__('Enable BG Overlay', 'sakka'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);


$wp_customize->add_section( 'header_banner_setting',
    array(
    'title'      => esc_html__( 'Slider Banner Settings', 'sakka' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_header_banner',
    array(
        'default' => $sakka_default['ed_header_banner'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_banner',
    array(
        'label' => esc_html__('Enable Slider Banner', 'sakka'),
        'section' => 'header_banner_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'sakka_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sakka_sanitize_select',
    )
);
$wp_customize->add_control( 'sakka_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Category', 'sakka' ),
    'section'     => 'header_banner_setting',
    'type'        => 'select',
    'choices'     => $sakka_post_category_list,
    )
);


$wp_customize->add_section( 'header_category_setting',
    array(
    'title'      => esc_html__( 'Category Section Settings', 'sakka' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_home_pannel',
    )
);

$wp_customize->add_setting('ed_category_section',
    array(
        'default' => $sakka_default['ed_category_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_section',
    array(
        'label' => esc_html__('Enable Category Section', 'sakka'),
        'section' => 'header_category_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('sakka_category_section_title',
    array(
        'default' => $sakka_default['sakka_category_section_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('sakka_category_section_title',
    array(
        'label' => esc_html__('Section Title', 'sakka'),
        'section' => 'header_category_setting',
        'type' => 'text',
    )
);

for ($x = 1; $x <= 4; $x++) {

    $wp_customize->add_setting( 'sakka_category_cat_'.$x,
        array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sakka_sanitize_select',
        )
    );
    $wp_customize->add_control( 'sakka_category_cat_'.$x,
        array(
        'label'       => esc_html__( 'Category ', 'sakka' ).$x,
        'section'     => 'header_category_setting',
        'type'        => 'select',
        'choices'     => $sakka_post_category_list,
        )
    );

}