<?php
/**
* Layouts Settings.
*
* @package Sakka
*/

$sakka_default = sakka_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'layout_setting',
	array(
	'title'      => esc_html__( 'Global Layout Settings', 'sakka' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);


$wp_customize->add_setting( 'global_sidebar_layout',
    array(
    'default'           => $sakka_default['global_sidebar_layout'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sakka_sanitize_sidebar_option',
    )
);
$wp_customize->add_control( 'global_sidebar_layout',
    array(
    'label'       => esc_html__( 'Global Sidebar Layout', 'sakka' ),
    'section'     => 'layout_setting',
    'type'        => 'select',
    'choices'     => array(
        'right-sidebar' => esc_html__( 'Right Sidebar', 'sakka' ),
        'left-sidebar'  => esc_html__( 'Left Sidebar', 'sakka' ),
        'no-sidebar'    => esc_html__( 'No Sidebar', 'sakka' ),
        ),
    )
);
