<?php
/**
 * Pagination Settings
 *
 * @package Sakka
 */

$sakka_default = sakka_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'sakka_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'sakka' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'sakka_pagination_layout',
	array(
	'default'           => $sakka_default['sakka_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'sakka_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'sakka' ),
	'section'     => 'sakka_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','sakka'),
		'numeric' => esc_html__('Numeric Method','sakka'),
		'load-more' => esc_html__('Ajax Load More Button','sakka'),
		'auto-load' => esc_html__('Ajax Auto Load','sakka'),
	),
	)
);