<?php
/**
* Custom Functions.
*
* @package Sakka
*/

if( !function_exists( 'sakka_sanitize_sidebar_option' ) ) :

    // Sidebar Option Sanitize.
    function sakka_sanitize_sidebar_option( $sakka_input ){

        $sakka_metabox_options = array( 'global-sidebar','left-sidebar','right-sidebar','no-sidebar' );
        if( in_array( $sakka_input,$sakka_metabox_options ) ){

            return $sakka_input;

        }

        return;

    }

endif;

if( !function_exists( 'sakka_sanitize_single_pagination_layout' ) ) :

    // Sidebar Option Sanitize.
    function sakka_sanitize_single_pagination_layout( $sakka_input ){

        $sakka_single_pagination = array( 'no-navigation','theme-normal-navigation','ajax-next-post-load' );
        if( in_array( $sakka_input,$sakka_single_pagination ) ){

            return $sakka_input;

        }

        return;

    }

endif;

if( !function_exists( 'sakka_sanitize_archive_layout' ) ) :

    // Sidebar Option Sanitize.
    function sakka_sanitize_archive_layout( $sakka_input ){

        $sakka_archive_option = array( 'default','full','grid','masonry' );
        if( in_array( $sakka_input,$sakka_archive_option ) ){

            return $sakka_input;

        }

        return;

    }

endif;

if( !function_exists( 'sakka_sanitize_header_layout' ) ) :

    // Sidebar Option Sanitize.
    function sakka_sanitize_header_layout( $sakka_input ){

        $sakka_header_options = array( 'layout-1','layout-2' );
        if( in_array( $sakka_input,$sakka_header_options ) ){

            return $sakka_input;

        }

        return;

    }

endif;

if ( ! function_exists( 'sakka_sanitize_checkbox' ) ) :

	/**
	 * Sanitize checkbox.
	 */
	function sakka_sanitize_checkbox( $sakka_checked ) {

		return ( ( isset( $sakka_checked ) && true === $sakka_checked ) ? true : false );

	}

endif;


if ( ! function_exists( 'sakka_sanitize_select' ) ) :

    /**
     * Sanitize select.
     */
    function sakka_sanitize_select( $sakka_input, $sakka_setting ) {

        // Ensure input is a slug.
        $sakka_input = sanitize_text_field( $sakka_input );

        // Get list of choices from the control associated with the setting.
        $choices = $sakka_setting->manager->get_control( $sakka_setting->id )->choices;

        // If the input is a valid key, return it; otherwise, return the default.
        return ( array_key_exists( $sakka_input, $choices ) ? $sakka_input : $sakka_setting->default );

    }

endif;