<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Sakka
 * @since 1.0.0
 */

$sakka_default = sakka_get_default_theme_options();
$sakka_ed_feature_image = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_feature_image', true ) );
$sakka_ed_post_views = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_post_views', true ) );
$sakka_ed_post_read_time = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_post_read_time', true ) );
$sakka_ed_post_like_dislike = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_post_like_dislike', true ) );
$sakka_ed_post_author_box = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_post_author_box', true ) );
$sakka_ed_post_social_share = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_post_social_share', true ) );
$sakka_ed_post_reaction = esc_html( get_post_meta( get_the_ID(), 'sakka_ed_post_reaction', true ) );

if( $sakka_ed_post_views ){ sakka_disable_post_views(); }
if( $sakka_ed_post_read_time ){ sakka_disable_post_read_time(); }
if( $sakka_ed_post_like_dislike ){ sakka_disable_post_like_dislike(); }
if( $sakka_ed_post_author_box ){ sakka_disable_post_author_box(); }
if( $sakka_ed_post_reaction ){ sakka_disable_post_reaction(); }

$sakka_single_layout = get_post_meta(get_the_ID(), 'sakka_single_layout', true);
if (empty ($sakka_single_layout)) {
	$sakka_single_layout = esc_html( get_theme_mod( 'sakka_single_post_layout',$sakka_default['sakka_single_post_layout'] ) );
}

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>> 
<?php if ($sakka_single_layout == 'layout-1') { ?>

	<?php if ( is_singular() ) { ?>

		<header class="entry-header entry-header-1">

			<h1 class="entry-title entry-title-large">

	            <span><?php the_title(); ?></span>

	        </h1>
	        <?php if( is_single() && 'post' === get_post_type() ){ ?>

	        	<div class="entry-meta">

	        		<?php
	        		sakka_posted_by();
	        		sakka_posted_on();
	        		sakka_entry_footer( $cats = true, $tags = false, $edits = false );
	        		?>

	        	</div>

	        <?php } ?>
		</header>

	<?php } ?>

	<?php if( has_post_thumbnail() ){
		
		if( is_single() ){

			if( empty( $sakka_ed_feature_image ) ){ ?>

				<div class="post-thumbnail">

					<?php sakka_post_thumbnail(); ?>
						
				</div>

			<?php
			}

		}else { ?>

			<div class="post-thumbnail">
			
				<?php sakka_post_thumbnail(); ?>

			</div>

		<?php
		}

	} ?>




<?php } ?>
	<div class="post-content-wrap <?php if( 'post' != get_post_type() || $sakka_ed_post_social_share || !class_exists( 'Booster_Extension_Class' ) ){ echo 'twp-no-social-share'; } ?>">

		<?php if( is_singular() && empty( $sakka_ed_post_social_share ) && class_exists( 'Booster_Extension_Class' ) && 'post' === get_post_type() ){ ?>

			<div class="post-content-share">
				<?php echo do_shortcode('[booster-extension-ss layout="layout-1" status="enable"]'); ?>
			</div>

		<?php } ?>

		<div class="post-content">

			<div class="entry-content">

				<?php
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'sakka' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sakka' ),
					'after'  => '</div>',
				) ); ?>

			</div>

			<?php
			if ( is_singular() && 'post' === get_post_type() ){ ?>

				<div class="entry-footer">
                    <div class="entry-meta">
                        <?php sakka_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
                    </div>
				</div>

			<?php } ?>

		</div>

	</div>

</article>