<?php
/**
 * Header Layout 1
 *
 * @package Sakka
 */
$sakka_default = sakka_get_default_theme_options();
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $sakka_default['ed_header_bg_overlay'] );


?>
<header id="site-header" class="site-header-layout header-layout-1" role="banner">
    <div class="header-navbar <?php if( $ed_header_bg_overlay ){ echo 'data-bg-overlay'; } ?> <?php if( get_header_image() ){ ?>data-bg data-bg-header<?php } ?>" <?php if( get_header_image() ){ ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper">
            <div class="header-wrapper">
                <div class="theme-header-areas header-areas-center">
                    <div class="header-titles">
                        <?php
                        sakka_site_logo();
                        sakka_site_description();
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="wrapper">
            <div class="header-wrapper">
                <div class="theme-header-areas header-areas-left">
                    <div class="site-navigation">
                        <div class="main-nav-controls twp-hide-js">
                            <button type="button" class="navbar-control navbar-control-offcanvas">
                                    <span class="navbar-control-trigger" tabindex="-1">
                                    <?php sakka_the_theme_svg('menu'); ?>
                                    </span>
                            </button>
                            <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'sakka'); ?>" role="navigation">
                                <ul class="primary-menu theme-menu">
                                    <?php
                                    if (has_nav_menu('sakka-primary-menu')) {
                                        wp_nav_menu(
                                            array(
                                                'container' => '',
                                                'items_wrap' => '%3$s',
                                                'theme_location' => 'sakka-primary-menu',
                                                'walker' => new multiblog\Sakka_Walkernav(),
                                            )
                                        );
                                    } else {
                                        wp_list_pages(
                                            array(
                                                'match_menu_classes' => true,
                                                'show_sub_menu_icons' => true,
                                                'title_li' => false,
                                                'walker' => new Sakka_Walker_Page(),
                                            )
                                        );
                                    } ?>
                                </ul>
                            </nav>
                        </div>
                    </div>
                </div>

                <div class="theme-header-areas header-areas-right">
                    <div class="theme-header-extras">
                        <div class="theme-header-areas header-areas-right">
                            <?php
                            $sakka_default = sakka_get_default_theme_options();
                            if (has_nav_menu('sakka-social-menu')) { ?>
                                <div id="main-social-nav" class="main-social-navigation">
                                    <?php wp_nav_menu(array(
                                        'theme_location' => 'sakka-social-menu',
                                        'link_before' => '<span class="screen-reader-text">',
                                        'link_after' => '</span>',
                                        'container' => 'div',
                                        'container_class' => 'social-menu',
                                        'depth' => 1,
                                    )); ?>
                                </div>
                            <?php } ?>

                            <div class="navbar-controls twp-hide-js">
                                <button type="button" class="navbar-control navbar-control-search">
                                    <span class="navbar-control-trigger" tabindex="-1">
                                        <?php sakka_the_theme_svg('search'); ?>
                                        <?php echo esc_html__('Search', 'sakka'); ?>
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</header>



