<?php
/**
 * Header Layout 2
 *
 * @package Sakka
 */
$sakka_default = sakka_get_default_theme_options();
?>
<header id="site-header" class="site-header-layout header-layout-2" role="banner">
    <div class="header-navbar">
        <div class="wrapper">
            <div class="header-wrapper">
                <div class="theme-header-areas header-areas-center">
                    <div class="header-titles">
                        <?php
                        // Site title or logo.
                        sakka_site_logo();
                        // Site description.
                        sakka_site_description();
                        ?>
                    </div><!-- .header-titles -->
                </div>
            </div>
        </div>
        <div class="wrapper">
            <div class="header-wrapper">
                <div class="theme-header-areas header-areas-center">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'sakka'); ?>"
                             role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if (has_nav_menu('sakka-primary-menu')) {
                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'sakka-primary-menu',
                                            'walker' => new multiblog\Sakka_Walkernav(),
                                        )
                                    );
                                } else {
                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new Sakka_Walker_Page(),
                                        )
                                    );
                                } ?>
                            </ul>
                        </nav>
                    </div>
                    <div class="navbar-controls twp-hide-js">
                        <button type="button" class="navbar-control navbar-control-offcanvas">
                                 <span class="navbar-control-trigger" tabindex="-1">
                                    <?php sakka_the_theme_svg('menu'); ?>
                                 </span>
                        </button>
                    </div>
                </div>

                <div class="theme-header-areas header-areas-right">
                  <div class="navbar-controls twp-hide-js">
                      <button type="button" class="navbar-control navbar-control-search">
                          <span class="navbar-control-trigger" tabindex="-1">
                              <?php sakka_the_theme_svg('search'); ?>
                              <?php echo esc_html__('Search', 'sakka'); ?>
                          </span>
                      </button>
                  </div>
                </div>
            </div>
        </div>
    </div>
</header><!-- #site-header -->
